<?php 
	
	$resultat = '';
	$flag = 'nok';
	$log = '';

	include("connexion_db.php");
	
	if ($_SERVER['REQUEST_METHOD'] === 'POST' &&
	isset($_POST['name_Testeur']) &&
	isset($_POST['mail_Testeur'])) {
	
		$name = $_POST['name_Testeur'];
		$mail = $_POST['mail_Testeur'];
		//on vérifie si cette personne est déja dans la base de donnée
		$sql1 = "SELECT count(*) FROM `testeur` WHERE `name`='" . $name . "' AND `mail`='" . $mail . "'";
		$req1 = cleanPDOQuery($sql1);
		$nbRes1 = $req1->fetch();
		//On l'insere
		if ($nbRes1[0]==0) {
		$sql2 ="INSERT INTO `testeur`(`name`, `mail`, `nb_connexion`) VALUES ('" . $name . "','" . $mail . "','1')";
		$req2 = cleanPDOQuery($sql2);
		}
		else {
		// Si elle y ai, on récupére le nb de connexion actuel
		$sql3 = "SELECT nb_connexion FROM `testeur` WHERE `name`='" . $name . "' AND `mail`='" . $mail . "'";
		$req3 = cleanPDOQuery($sql3);
		$nb_connexion = $req3->fetch();
		if ($nb_connexion[0]!=100){ $nb_connex=$nb_connexion[0]+1;}
		else { $nb_connex=$nb_connexion[0];}
		//on update le nouveau nb de connexion
		$sql3 ="UPDATE `testeur` SET `nb_connexion`='" . $nb_connex . "' WHERE `name`='" . $name . "'";
		$req3 = cleanPDOQuery($sql3);
		}
	
	}
	
	// Préparation des données
	$resultat['flag'] = $flag;
	$resultat['log'] = $log;
	$resultat['sql2'] = $sql2;
	$resultat['sql1'] = $sql1;
	$resultat['nbConnexion'] = $nb_connexion[0];
	
	// Envoie des données
	header('Content-Type: application/json');
 	echo json_encode($resultat);
?>